%define anolis_release 4
Name:		biosdevname
Version:	0.7.3
Release:	%{anolis_release}%{?dist}
Summary:	Udev helper for naming devices per BIOS names
License:	GPLv2
URL:		https://github.com/dell/%{name}
# SMBIOS only exists on these arches.  It's also likely that other
# arches don't expect the PCI bus to be sorted breadth-first, or of
# so, there haven't been any comments about that on LKML.
ExclusiveArch:	%{ix86} x86_64
Source0:	https://github.com/dell/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf >= 2.59
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  pciutils-devel
BuildRequires:  zlib-devel
BuildRequires:  make

Patch1: 0001-Install-udev-rules-file-in-usr-lib-udev-rules.d-71-b.patch
Patch2: 0002-Add-support-for-ExaNIC-network-cards-5.patch
Patch3: 0003-man-fix-all_ethN-indentation.patch

%description
biosdevname in its simplest form takes a kernel device name as an
argument, and returns the BIOS-given name it "should" be.  This is necessary
on systems where the BIOS name for a given device (e.g. the label on
the chassis is "Gb1") doesn't map directly and obviously to the kernel
name (e.g. eth0).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fvi
%configure --prefix=%{_prefix}
%make_build

%install
%make_install

%files
%license COPYING
%{_sbindir}/%{name}
%{_prefix}/lib/udev/rules.d/*.rules
%{_mandir}/man1/%{name}.1*

%files doc
%doc README AUTHORS ChangeLog NEWS TODO

%changelog 
* Tue May 21 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.3-4
- fix source link

* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 0.7.3-3
- Bump release for upgrading from anolis 8

* Wed Oct 26 2022 Kun(llfl) <llfl@linux.alibaba.com> - 0.7.3-2
- Add doc package
- Add patches from upstream v0.7.3

* Mon Apr 11 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 0.7.3-1
- Init package from upstream v0.7.3

* Mon Mar 07 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 0.7.2-1
- rebase to biosdevname-0.7.2
- Init for Anolis OS 23
